SUPYBOT-TEST(1)

NAME
supybot-test - Runs the test suite for a Supybot plugin

SYNOPSIS
supybot-test [options] plugins

DESCRIPTION
supybot-test Runs the test suite for a Supybot plugin

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-c, --clean
    Cleans the various data/conf/logs directories before running tests.

-t TIMEOUT, --timeout=TIMEOUT
    Specifies the timeout for tests to return responses.

-v, --verbose
    Sets the verbose flag, logging extra information about each test that runs.

--no-network
    Prevents the network-based tests from being run.

--trace
    Traces all calls made. Unless you're really in a pinch, you probably shouldn't do this; it results in copious amounts of output.

, --plugins-dir=PLUGINSDIR
    Looks in the given directory for plugins and loads the tests for all of them.

SEE ALSO
python(1), supybot(1), supybot-botchk(1), supybot-wizard(1), supybot-adduser(1), supybot-plugin-doc(1), supybot-plugin-create(1)

AUTHOR
This manual page was originally written by James Vega <jamessan at supybot dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Supybot license, a BSD-style license.